#
# spec file for package tamil-gtk2im
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           tamil-gtk2im
BuildRequires:  gtk2-devel
BuildRequires:  libtool
BuildRequires:  update-desktop-files
%define prefix /usr
%define sysconfdir /etc
Provides:       locale(gtk2:ta)
PreReq:         /usr/bin/touch
Requires:       gtk2
Version:        2.2
Release:        304.2
URL:            http://tamillinux.sourceforge.net/projects/project/gtk2tamilim/
Source0:        http://tamillinux.sourceforge.net/projects/project/gtk2tamilim/files/tamilgtk2im-src-2.2.tar.bz2
Source1:        License
Source2:        baselibs.conf
Patch0:         tamilgtk2im-rpath.patch
Patch1:         tamilgtk2im-biarch.patch
Patch2:         tamilgtk2im-cflags.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        Tamil99 Keyboard Input module for GTK2
License:        BSD-3-Clause
Group:          System/GUI/GNOME
%gtk2_immodule_requires

%description
Tamil99 Keyboard Input module for GTK2

Authors:
--------
    Dinesh Nadarajah <dinesh_list@sbcglobal.net>

%prep
%setup -q -n tamilgtk2im-src-%{version}
cp %{SOURCE1} .
%patch -P 0
%ifarch x86_64 riscv64 ppc64 ppc64le aarch64
%patch -P 1
%endif
%patch -P 2

%build
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"
./compile-gtk2im.sh

%install
mkdir -p %{buildroot}%{_libdir}/gtk-2.0/immodules
install -m 755 ./.libs/*.{la,so} %{buildroot}%{_libdir}/gtk-2.0/immodules

%post
%gtk2_immodule_post
/sbin/ldconfig

%postun
%gtk2_immodule_postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc README
%license License
%{_libdir}/gtk-2.0/immodules

%changelog
* Mon Feb 26 2024 pgajdos@suse.com
- Use %%patch -P N instead of deprecated %%patchN.
* Tue Nov  7 2023 Dominique Leuenberger <dimstar@opensuse.org>
- Fix build with RPM 4.19: unnumbered patches are no longer
  supported.
* Fri Apr  9 2021 Hillwood Yang <hillwood@opensuse.org>
- Fix some macros in spec.
* Sun Nov 27 2011 coolo@suse.com
- add libtool as buildrequire to avoid implicit dependency
* Wed Mar  9 2011 tiwai@suse.de
- Fix post scripts to use new gtk2_immodule_* macros (bnc#678080)
* Fri Dec 17 2010 coolo@novell.com
- fix file list
* Mon Feb  1 2010 jengelh@medozas.de
- Package baselibs.conf
* Tue Nov 25 2008 sbrabec@suse.cz
- Supplement gtk2-32bit/gtk2-64bit in baselibs.conf (bnc#354164).
* Sun Jan  7 2007 ro@suse.de
- GNOME moved to /usr
* Tue Nov  7 2006 meissner@suse.de
- split biarch and cflags patch.
* Sat Oct 28 2006 meissner@suse.de
- use RPM_OPT_FLAGS
* Tue Feb 28 2006 mfabian@suse.de
- add "Provides: locale(gtk2:ta)".
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Aug 25 2004 mfabian@suse.de
- Bugzilla #44155: add /usr/bin/touch to PreReq:.
* Tue Mar 30 2004 sbrabec@suse.cz
- Fixed libtool rpath (#36361).
* Tue Feb  3 2004 mfabian@suse.de
- update to 2.2.
- use # norootforbuild
* Fri Sep  5 2003 mfabian@suse.de
- Bugzilla #29417: don't try to call in gtk-query-immodules-2.0
  in %%post and %%postun, just trigger a run of SuSEconfig.gtk2
  which will then call gtk-query-immodules-2.0.
* Wed Jul 16 2003 sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
- Require gtk2.
* Sun Jun 15 2003 mfabian@suse.de
- fix "directory not owned by any package".
* Mon May 19 2003 mfabian@suse.de
- new package, version 0.20030519
